Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036579
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-08-02 13:172017-08-25 11:50
ReporterngarciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revisione91b33e09ca1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036579: Cash Up cannot be imported if the business partner does not have Payment Terms and Payment Method defined

DescriptionCash Up cannot be imported if the business partner does not have Payment Terms and Payment Method defined.

The Cash Up goes to Errors While Importing POS Data window but the error shown there is not clear enough:

org.openbravo.base.exception.OBException: Couldn't disable triggers:
    at org.openbravo.dal.core.TriggerHandler.enable(TriggerHandler.java:111)
    at org.openbravo.retail.posterminal.ProcessCashClose.doReconciliationAndInvoices(ProcessCashClose.java:277)
    at org.openbravo.retail.posterminal.ProcessCashClose.saveRecord(ProcessCashClose.java:143)
    at org.openbravo.mobile.core.process.DataSynchronizationProcess.saveRecord(DataSynchronizationProcess.java:200)
    at org.openbravo.mobile.core.process.DataSynchronizationProcess.exec(DataSynchronizationProcess.java:154)
    at org.openbravo.mobile.core.process.DataSynchronizationProcess.exec(DataSynchronizationProcess.java:86)
    at org.openbravo.mobile.core.process.MobileImportEntryProcessorRunnable.processEntry(MobileImportEntryProcessorRunnable.java:53)
    at org.openbravo.retail.posterminal.importprocess.CashUpImportEntryProcessor$CashUpRunnable.processEntry(CashUpImportEntryProcessor.java:75)
    at org.openbravo.service.importprocess.ImportEntryProcessor$ImportEntryProcessRunnable.doRunCycle(ImportEntryProcessor.java:363)
    at org.openbravo.service.importprocess.ImportEntryProcessor$ImportEntryProcessRunnable.run(ImportEntryProcessor.java:285)
Steps To ReproduceIn the backend:
   Create a new business partner
   Set it as Customer
   Add a location to it
   Set a price list to it
   Do not set any other field in Customer tab

In the POS:
   Create a new ticket
   Select the previously created business partner
   Add a product to it
   Do not Invoice the receipt
   Pay it
   Do the Cash Up

In the backend:
   Check the Cash Up is in Errors While Importing POS Data window
   Check the log shows:
      ERROR org.openbravo.retail.posterminal.OrderGroupingProcessorData - SQL error in query: insert into c_invoice
...
org.postgresql.util.PSQLException: ERROR: null value in column "c_paymentterm_id" violates not-null constraint

   Go to Business Partner window and set Payment Terms to the already created customer

   Try to save the cash up again and check it raises an error
   Check the log shows:

   ERROR org.openbravo.retail.posterminal.OrderGroupingProcessorData - SQL error in query: insert into fin_payment_schedule
...
org.postgresql.util.PSQLException: ERROR: null value in column "fin_paymentmethod_id" violates not-null constraint

   Go to Business Partner window and set Payment Method to the already created customer
   Check you can save the Cash Up this time
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037349 closedranjith_qualiantech_com If the Business Partner has no Payment terms the error message is not descriptive enough 

-  Notes
(0098472)
hgbot (developer)
2017-08-10 11:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 413316dcad7e00c8b1669825ee1d9b393655dbf8
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Aug 10 15:19:31 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/413316dcad7e00c8b1669825ee1d9b393655dbf8 [^]

Fixed issue 36579 : Validate Customer Payment method & term on cashup

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/POSDataSynchronizationErrorHandler.java
---
(0098551)
marvintm (developer)
2017-08-21 08:33

The added query should go to the xsql file related to the OrderGrouping functionality (OrderGroupingProcessor_data.xsql). This will make the code cleaner and will also protect us from silly mistakes (like leaving connections open).
(0098563)
hgbot (developer)
2017-08-22 08:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e91b33e09ca18d0a8d65b7ee00c4f552c8130d63
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Aug 22 11:33:59 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e91b33e09ca18d0a8d65b7ee00c4f552c8130d63 [^]

Fixed issue 36579 : Validate Customer Payment method & term on cashup

* Moved Query to xsql

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
---

- Issue History
Date Modified Username Field Change
2017-08-02 13:17 ngarcia New Issue
2017-08-02 13:17 ngarcia Assigned To => Retail
2017-08-02 13:17 ngarcia Triggers an Emergency Pack => No
2017-08-02 13:18 ngarcia Issue Monitored: networkb
2017-08-05 12:04 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-08-05 12:04 ranjith_qualiantech_com Status new => scheduled
2017-08-10 11:50 hgbot Checkin
2017-08-10 11:50 hgbot Note Added: 0098472
2017-08-10 11:50 hgbot Status scheduled => resolved
2017-08-10 11:50 hgbot Resolution open => fixed
2017-08-10 11:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/413316dcad7e00c8b1669825ee1d9b393655dbf8 [^]
2017-08-21 08:33 marvintm Note Added: 0098551
2017-08-21 08:33 marvintm Status resolved => new
2017-08-21 08:33 marvintm Resolution fixed => open
2017-08-21 11:23 ranjith_qualiantech_com Status new => scheduled
2017-08-22 08:04 hgbot Checkin
2017-08-22 08:04 hgbot Note Added: 0098563
2017-08-22 08:04 hgbot Status scheduled => resolved
2017-08-22 08:04 hgbot Resolution open => fixed
2017-08-22 08:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/413316dcad7e00c8b1669825ee1d9b393655dbf8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e91b33e09ca18d0a8d65b7ee00c4f552c8130d63 [^]
2017-08-25 11:50 marvintm Review Assigned To => marvintm
2017-08-25 11:50 marvintm Status resolved => closed
2017-08-25 11:50 marvintm Fixed in Version => RR17Q4
2017-11-22 11:14 ranjith_qualiantech_com Relationship added related to 0037349


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker